import { jsx } from "react/jsx-runtime";
import { TokenGCR as TokenGCR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGCR = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GCR", "data-name": "TokenGCR", ...props, children: /* @__PURE__ */ jsx(TokenGCR$1, { variant }) });
  }
);
TokenGCR.displayName = "TokenGCR";
Object.assign(TokenGCR, { isGdsIcon: true });
export {
  TokenGCR
};
